Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security
Class HibernateSecurityInterceptor

    java.lang.Object
      org.hibernate.EmptyInterceptor
          org.jboss.seam.security.HibernateSecurityInterceptor

All Implemented Interfaces:
  Serializable, org.hibernate.Interceptor

    public class HibernateSecurityInterceptor

extends org.hibernate.EmptyInterceptor

Facilitates security checks for Hibernate entities

Author:
  Shane Bryzak
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.EmptyInterceptor
`INSTANCE`

Constructor Summary
`HibernateSecurityInterceptor(org.hibernate.Interceptor wrappedInterceptor)`

Method Summary
`void` | `onDelete(Object entity, Serializable id, Object[] state, String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onFlushDirty(Object entity, Serializable id, Object[] currentState, Object[] previousState, String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onLoad(Object entity, Serializable id, Object[] state, String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onSave(Object entity, Serializable id, Object[] state, String[] propertyNames, org.hibernate.type.Type[] types)`

Methods inherited from class org.hibernate.EmptyInterceptor
`afterTransactionBegin, afterTransactionCompletion, beforeTransactionCompletion, findDirty, getEntity, getEntityName, instantiate, isTransient, onCollectionRecreate, onCollectionRemove, onCollectionUpdate, onPrepareStatement, postFlush, preFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSecurityInterceptor

    public HibernateSecurityInterceptor(org.hibernate.Interceptor wrappedInterceptor)

Method Detail

### onLoad

    public boolean onLoad(Object entity,
                          Serializable id,
                          Object[] state,
                          String[] propertyNames,
                          org.hibernate.type.Type[] types)

  Specified by:
    `onLoad` in interface `org.hibernate.Interceptor`
  Overrides:
    `onLoad` in class `org.hibernate.EmptyInterceptor`

### onDelete

    public void onDelete(Object entity,
                         Serializable id,
                         Object[] state,
                         String[] propertyNames,
                         org.hibernate.type.Type[] types)

  Specified by:
    `onDelete` in interface `org.hibernate.Interceptor`
  Overrides:
    `onDelete` in class `org.hibernate.EmptyInterceptor`

### onFlushDirty

    public boolean onFlushDirty(Object entity,
                                Serializable id,
                                Object[] currentState,
                                Object[] previousState,
                                String[] propertyNames,
                                org.hibernate.type.Type[] types)

  Specified by:
    `onFlushDirty` in interface `org.hibernate.Interceptor`
  Overrides:
    `onFlushDirty` in class `org.hibernate.EmptyInterceptor`

### onSave

    public boolean onSave(Object entity,
                          Serializable id,
                          Object[] state,
                          String[] propertyNames,
                          org.hibernate.type.Type[] types)

  Specified by:
    `onSave` in interface `org.hibernate.Interceptor`
  Overrides:
    `onSave` in class `org.hibernate.EmptyInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD